<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Estado;
use App\Repositories\EstadoRepository;
use Illuminate\Http\Request;
use App\Http\Controllers\Tools;


class EstadoAPIController extends Controller
{
    private $estadoRepository;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(EstadoRepository $estadoRepository)
    {
        $this->estadoRepository = $estadoRepository;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {

		$this->validate($request, [
            'nombre' => 'required',

        ]);

        try {
            $marca = $this->colorRepository->create(array(
                'nombre' => $request->nombre,
				'activo' => true,
				'codigo' => '1',

            ));


		} catch (ValidatorException $e) {
            return $this->sendError($e->getMessage(), '401');
        }

        return $this->sendResponse($marca->toArray(), 'Estado Civil agregado correctamente');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Color  $color
     * @return \Illuminate\Http\Response
     */
    public function show(Estado $estado)
    {
        //
    }

    public function synchronizeEstados()
    {

        $url = env('APP_FOLIATTIAPI_URL') . "Catalogs/getEstados";
		$method="GET";
		$output = (new Tools)->CallAPI($method, $url);
		$result = json_decode($output);
        
        $estados = $result->estados;
        if($estados != null)
        {

            foreach ($estados as &$estado) 
            {
                try
                {
                    $estadoToInsert = new Estado;
                    $estadoToInsert->id = $estado->id;
                    $estadoToInsert->idpais = $estado->id_pais;
                    $estadoToInsert->nombre = $estado->nombre;
                    $estadoToInsert->codigo = $estado->codigo;
                    $estadoToInsert->activo = true;
                    $estadoToInsert->save();
                }
			    catch(\Exception $excep)
		    	{
                    return $this->sendError($excep->getMessage(), 404);
   
                }



            }
        }


        return $this->sendResponse($result->estados[0]->id . $result->estados[0]->nombre . $result->estados[0]->codigo, 401);

    }

    public function getEstados(){
        $estados = $this->estadoRepository->all();

        if ($estados->isEmpty()) {
            return $this->sendError('Lista de G�neros vacia');
        } else {
            return $this->sendResponse($estados, 401);
        }
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Color  $color
     * @return \Illuminate\Http\Response
     */
    public function edit(Estado $estado)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\color  $color
     * @return \Illuminate\Http\Response
     */
    public function update()
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Color  $color
     * @return \Illuminate\Http\Response
     */
    public function destroy(Estado $estado)
    {
        //
    }
}
