# Security Policy

## Supported Versions

Use this section to tell people about which versions of your project are
currently being supported with security updates.

| Version | Supported          |
| ------- | ------------------ |
| 10.0.x   | :white_check_mark: |
| 5.1.x   | :white_check_mark: |
| 5.0.x   | :white_check_mark: |

## Reporting a Vulnerability

At l5-repository, we take the security of our users seriously. If you discover any security vulnerabilities within our package, we appreciate your cooperation in responsibly disclosing the issue.

To report a security vulnerability, please follow these steps:

1. Fork the repository.
2. Create a new branch in your fork to work on the fix.
3. Implement the necessary changes to address the vulnerability.
4. Submit a Pull Request (PR) to the main repository.

## Pull Request Template

When submitting a PR to report a security vulnerability, please use the following template to provide necessary information:

## Security Vulnerability Report

### Vulnerability Details

**1. Description:**
Briefly describe the security vulnerability.

**2. Affected Component:**
Specify the affected component or module.

**3. Steps to Reproduce:**
Provide detailed steps to reproduce the vulnerability.

**4. Impact:**
Explain the potential impact of the vulnerability.

## Proposed Fix

Describe the changes made to address the vulnerability and any additional information that might be relevant.

## Additional Information

Any other information you believe is important for our security team to know.

## Contact Information

Please provide a way for our security team to contact you if further clarification or information is needed.

